Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network15.80.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
15.80.0.0
Broadcast address
15.95.255.255
First usable
15.80.0.1
Last usable
15.95.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
A (default /8)
As numbers
Hex 0F500000 · Integer 256901120 to 257949695
Reverse DNS zones
80.15.in-addr.arpa
81.15.in-addr.arpa
82.15.in-addr.arpa
83.15.in-addr.arpa
84.15.in-addr.arpa
85.15.in-addr.arpa
86.15.in-addr.arpa
87.15.in-addr.arpa
88.15.in-addr.arpa
89.15.in-addr.arpa
90.15.in-addr.arpa
91.15.in-addr.arpa
92.15.in-addr.arpa
93.15.in-addr.arpa
94.15.in-addr.arpa
95.15.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001111.01010000.00000000.0000000015.80.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network00001111.01010000.00000000.0000000015.80.0.0
Broadcast00001111.01011111.11111111.1111111115.95.255.255
Split into smaller subnets/23

15.80.0.0/12 makes 2,048 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
115.80.0.0/2315.80.0.1 to 15.80.1.25415.80.1.255510
215.80.2.0/2315.80.2.1 to 15.80.3.25415.80.3.255510
315.80.4.0/2315.80.4.1 to 15.80.5.25415.80.5.255510
415.80.6.0/2315.80.6.1 to 15.80.7.25415.80.7.255510
515.80.8.0/2315.80.8.1 to 15.80.9.25415.80.9.255510
615.80.10.0/2315.80.10.1 to 15.80.11.25415.80.11.255510
715.80.12.0/2315.80.12.1 to 15.80.13.25415.80.13.255510
815.80.14.0/2315.80.14.1 to 15.80.15.25415.80.15.255510
915.80.16.0/2315.80.16.1 to 15.80.17.25415.80.17.255510
1015.80.18.0/2315.80.18.1 to 15.80.19.25415.80.19.255510
1115.80.20.0/2315.80.20.1 to 15.80.21.25415.80.21.255510
1215.80.22.0/2315.80.22.1 to 15.80.23.25415.80.23.255510
1315.80.24.0/2315.80.24.1 to 15.80.25.25415.80.25.255510
1415.80.26.0/2315.80.26.1 to 15.80.27.25415.80.27.255510
1515.80.28.0/2315.80.28.1 to 15.80.29.25415.80.29.255510
1615.80.30.0/2315.80.30.1 to 15.80.31.25415.80.31.255510
1715.80.32.0/2315.80.32.1 to 15.80.33.25415.80.33.255510
1815.80.34.0/2315.80.34.1 to 15.80.35.25415.80.35.255510
1915.80.36.0/2315.80.36.1 to 15.80.37.25415.80.37.255510
2015.80.38.0/2315.80.38.1 to 15.80.39.25415.80.39.255510
2115.80.40.0/2315.80.40.1 to 15.80.41.25415.80.41.255510
2215.80.42.0/2315.80.42.1 to 15.80.43.25415.80.43.255510
2315.80.44.0/2315.80.44.1 to 15.80.45.25415.80.45.255510
2415.80.46.0/2315.80.46.1 to 15.80.47.25415.80.47.255510
2515.80.48.0/2315.80.48.1 to 15.80.49.25415.80.49.255510
2615.80.50.0/2315.80.50.1 to 15.80.51.25415.80.51.255510
2715.80.52.0/2315.80.52.1 to 15.80.53.25415.80.53.255510
2815.80.54.0/2315.80.54.1 to 15.80.55.25415.80.55.255510
2915.80.56.0/2315.80.56.1 to 15.80.57.25415.80.57.255510
3015.80.58.0/2315.80.58.1 to 15.80.59.25415.80.59.255510
3115.80.60.0/2315.80.60.1 to 15.80.61.25415.80.61.255510
3215.80.62.0/2315.80.62.1 to 15.80.63.25415.80.63.255510
3315.80.64.0/2315.80.64.1 to 15.80.65.25415.80.65.255510
3415.80.66.0/2315.80.66.1 to 15.80.67.25415.80.67.255510
3515.80.68.0/2315.80.68.1 to 15.80.69.25415.80.69.255510
3615.80.70.0/2315.80.70.1 to 15.80.71.25415.80.71.255510
3715.80.72.0/2315.80.72.1 to 15.80.73.25415.80.73.255510
3815.80.74.0/2315.80.74.1 to 15.80.75.25415.80.75.255510
3915.80.76.0/2315.80.76.1 to 15.80.77.25415.80.77.255510
4015.80.78.0/2315.80.78.1 to 15.80.79.25415.80.79.255510
4115.80.80.0/2315.80.80.1 to 15.80.81.25415.80.81.255510
4215.80.82.0/2315.80.82.1 to 15.80.83.25415.80.83.255510
4315.80.84.0/2315.80.84.1 to 15.80.85.25415.80.85.255510
4415.80.86.0/2315.80.86.1 to 15.80.87.25415.80.87.255510
4515.80.88.0/2315.80.88.1 to 15.80.89.25415.80.89.255510
4615.80.90.0/2315.80.90.1 to 15.80.91.25415.80.91.255510
4715.80.92.0/2315.80.92.1 to 15.80.93.25415.80.93.255510
4815.80.94.0/2315.80.94.1 to 15.80.95.25415.80.95.255510
4915.80.96.0/2315.80.96.1 to 15.80.97.25415.80.97.255510
5015.80.98.0/2315.80.98.1 to 15.80.99.25415.80.99.255510
5115.80.100.0/2315.80.100.1 to 15.80.101.25415.80.101.255510
5215.80.102.0/2315.80.102.1 to 15.80.103.25415.80.103.255510
5315.80.104.0/2315.80.104.1 to 15.80.105.25415.80.105.255510
5415.80.106.0/2315.80.106.1 to 15.80.107.25415.80.107.255510
5515.80.108.0/2315.80.108.1 to 15.80.109.25415.80.109.255510
5615.80.110.0/2315.80.110.1 to 15.80.111.25415.80.111.255510
5715.80.112.0/2315.80.112.1 to 15.80.113.25415.80.113.255510
5815.80.114.0/2315.80.114.1 to 15.80.115.25415.80.115.255510
5915.80.116.0/2315.80.116.1 to 15.80.117.25415.80.117.255510
6015.80.118.0/2315.80.118.1 to 15.80.119.25415.80.119.255510
6115.80.120.0/2315.80.120.1 to 15.80.121.25415.80.121.255510
6215.80.122.0/2315.80.122.1 to 15.80.123.25415.80.123.255510
6315.80.124.0/2315.80.124.1 to 15.80.125.25415.80.125.255510
6415.80.126.0/2315.80.126.1 to 15.80.127.25415.80.127.255510
6515.80.128.0/2315.80.128.1 to 15.80.129.25415.80.129.255510
6615.80.130.0/2315.80.130.1 to 15.80.131.25415.80.131.255510
6715.80.132.0/2315.80.132.1 to 15.80.133.25415.80.133.255510
6815.80.134.0/2315.80.134.1 to 15.80.135.25415.80.135.255510
6915.80.136.0/2315.80.136.1 to 15.80.137.25415.80.137.255510
7015.80.138.0/2315.80.138.1 to 15.80.139.25415.80.139.255510
7115.80.140.0/2315.80.140.1 to 15.80.141.25415.80.141.255510
7215.80.142.0/2315.80.142.1 to 15.80.143.25415.80.143.255510
7315.80.144.0/2315.80.144.1 to 15.80.145.25415.80.145.255510
7415.80.146.0/2315.80.146.1 to 15.80.147.25415.80.147.255510
7515.80.148.0/2315.80.148.1 to 15.80.149.25415.80.149.255510
7615.80.150.0/2315.80.150.1 to 15.80.151.25415.80.151.255510
7715.80.152.0/2315.80.152.1 to 15.80.153.25415.80.153.255510
7815.80.154.0/2315.80.154.1 to 15.80.155.25415.80.155.255510
7915.80.156.0/2315.80.156.1 to 15.80.157.25415.80.157.255510
8015.80.158.0/2315.80.158.1 to 15.80.159.25415.80.159.255510
8115.80.160.0/2315.80.160.1 to 15.80.161.25415.80.161.255510
8215.80.162.0/2315.80.162.1 to 15.80.163.25415.80.163.255510
8315.80.164.0/2315.80.164.1 to 15.80.165.25415.80.165.255510
8415.80.166.0/2315.80.166.1 to 15.80.167.25415.80.167.255510
8515.80.168.0/2315.80.168.1 to 15.80.169.25415.80.169.255510
8615.80.170.0/2315.80.170.1 to 15.80.171.25415.80.171.255510
8715.80.172.0/2315.80.172.1 to 15.80.173.25415.80.173.255510
8815.80.174.0/2315.80.174.1 to 15.80.175.25415.80.175.255510
8915.80.176.0/2315.80.176.1 to 15.80.177.25415.80.177.255510
9015.80.178.0/2315.80.178.1 to 15.80.179.25415.80.179.255510
9115.80.180.0/2315.80.180.1 to 15.80.181.25415.80.181.255510
9215.80.182.0/2315.80.182.1 to 15.80.183.25415.80.183.255510
9315.80.184.0/2315.80.184.1 to 15.80.185.25415.80.185.255510
9415.80.186.0/2315.80.186.1 to 15.80.187.25415.80.187.255510
9515.80.188.0/2315.80.188.1 to 15.80.189.25415.80.189.255510
9615.80.190.0/2315.80.190.1 to 15.80.191.25415.80.191.255510
9715.80.192.0/2315.80.192.1 to 15.80.193.25415.80.193.255510
9815.80.194.0/2315.80.194.1 to 15.80.195.25415.80.195.255510
9915.80.196.0/2315.80.196.1 to 15.80.197.25415.80.197.255510
10015.80.198.0/2315.80.198.1 to 15.80.199.25415.80.199.255510
10115.80.200.0/2315.80.200.1 to 15.80.201.25415.80.201.255510
10215.80.202.0/2315.80.202.1 to 15.80.203.25415.80.203.255510
10315.80.204.0/2315.80.204.1 to 15.80.205.25415.80.205.255510
10415.80.206.0/2315.80.206.1 to 15.80.207.25415.80.207.255510
10515.80.208.0/2315.80.208.1 to 15.80.209.25415.80.209.255510
10615.80.210.0/2315.80.210.1 to 15.80.211.25415.80.211.255510
10715.80.212.0/2315.80.212.1 to 15.80.213.25415.80.213.255510
10815.80.214.0/2315.80.214.1 to 15.80.215.25415.80.215.255510
10915.80.216.0/2315.80.216.1 to 15.80.217.25415.80.217.255510
11015.80.218.0/2315.80.218.1 to 15.80.219.25415.80.219.255510
11115.80.220.0/2315.80.220.1 to 15.80.221.25415.80.221.255510
11215.80.222.0/2315.80.222.1 to 15.80.223.25415.80.223.255510
11315.80.224.0/2315.80.224.1 to 15.80.225.25415.80.225.255510
11415.80.226.0/2315.80.226.1 to 15.80.227.25415.80.227.255510
11515.80.228.0/2315.80.228.1 to 15.80.229.25415.80.229.255510
11615.80.230.0/2315.80.230.1 to 15.80.231.25415.80.231.255510
11715.80.232.0/2315.80.232.1 to 15.80.233.25415.80.233.255510
11815.80.234.0/2315.80.234.1 to 15.80.235.25415.80.235.255510
11915.80.236.0/2315.80.236.1 to 15.80.237.25415.80.237.255510
12015.80.238.0/2315.80.238.1 to 15.80.239.25415.80.239.255510
12115.80.240.0/2315.80.240.1 to 15.80.241.25415.80.241.255510
12215.80.242.0/2315.80.242.1 to 15.80.243.25415.80.243.255510
12315.80.244.0/2315.80.244.1 to 15.80.245.25415.80.245.255510
12415.80.246.0/2315.80.246.1 to 15.80.247.25415.80.247.255510
12515.80.248.0/2315.80.248.1 to 15.80.249.25415.80.249.255510
12615.80.250.0/2315.80.250.1 to 15.80.251.25415.80.251.255510
12715.80.252.0/2315.80.252.1 to 15.80.253.25415.80.253.255510
12815.80.254.0/2315.80.254.1 to 15.80.255.25415.80.255.255510
12915.81.0.0/2315.81.0.1 to 15.81.1.25415.81.1.255510
13015.81.2.0/2315.81.2.1 to 15.81.3.25415.81.3.255510
13115.81.4.0/2315.81.4.1 to 15.81.5.25415.81.5.255510
13215.81.6.0/2315.81.6.1 to 15.81.7.25415.81.7.255510
13315.81.8.0/2315.81.8.1 to 15.81.9.25415.81.9.255510
13415.81.10.0/2315.81.10.1 to 15.81.11.25415.81.11.255510
13515.81.12.0/2315.81.12.1 to 15.81.13.25415.81.13.255510
13615.81.14.0/2315.81.14.1 to 15.81.15.25415.81.15.255510
13715.81.16.0/2315.81.16.1 to 15.81.17.25415.81.17.255510
13815.81.18.0/2315.81.18.1 to 15.81.19.25415.81.19.255510
13915.81.20.0/2315.81.20.1 to 15.81.21.25415.81.21.255510
14015.81.22.0/2315.81.22.1 to 15.81.23.25415.81.23.255510
14115.81.24.0/2315.81.24.1 to 15.81.25.25415.81.25.255510
14215.81.26.0/2315.81.26.1 to 15.81.27.25415.81.27.255510
14315.81.28.0/2315.81.28.1 to 15.81.29.25415.81.29.255510
14415.81.30.0/2315.81.30.1 to 15.81.31.25415.81.31.255510
14515.81.32.0/2315.81.32.1 to 15.81.33.25415.81.33.255510
14615.81.34.0/2315.81.34.1 to 15.81.35.25415.81.35.255510
14715.81.36.0/2315.81.36.1 to 15.81.37.25415.81.37.255510
14815.81.38.0/2315.81.38.1 to 15.81.39.25415.81.39.255510
14915.81.40.0/2315.81.40.1 to 15.81.41.25415.81.41.255510
15015.81.42.0/2315.81.42.1 to 15.81.43.25415.81.43.255510
15115.81.44.0/2315.81.44.1 to 15.81.45.25415.81.45.255510
15215.81.46.0/2315.81.46.1 to 15.81.47.25415.81.47.255510
15315.81.48.0/2315.81.48.1 to 15.81.49.25415.81.49.255510
15415.81.50.0/2315.81.50.1 to 15.81.51.25415.81.51.255510
15515.81.52.0/2315.81.52.1 to 15.81.53.25415.81.53.255510
15615.81.54.0/2315.81.54.1 to 15.81.55.25415.81.55.255510
15715.81.56.0/2315.81.56.1 to 15.81.57.25415.81.57.255510
15815.81.58.0/2315.81.58.1 to 15.81.59.25415.81.59.255510
15915.81.60.0/2315.81.60.1 to 15.81.61.25415.81.61.255510
16015.81.62.0/2315.81.62.1 to 15.81.63.25415.81.63.255510
16115.81.64.0/2315.81.64.1 to 15.81.65.25415.81.65.255510
16215.81.66.0/2315.81.66.1 to 15.81.67.25415.81.67.255510
16315.81.68.0/2315.81.68.1 to 15.81.69.25415.81.69.255510
16415.81.70.0/2315.81.70.1 to 15.81.71.25415.81.71.255510
16515.81.72.0/2315.81.72.1 to 15.81.73.25415.81.73.255510
16615.81.74.0/2315.81.74.1 to 15.81.75.25415.81.75.255510
16715.81.76.0/2315.81.76.1 to 15.81.77.25415.81.77.255510
16815.81.78.0/2315.81.78.1 to 15.81.79.25415.81.79.255510
16915.81.80.0/2315.81.80.1 to 15.81.81.25415.81.81.255510
17015.81.82.0/2315.81.82.1 to 15.81.83.25415.81.83.255510
17115.81.84.0/2315.81.84.1 to 15.81.85.25415.81.85.255510
17215.81.86.0/2315.81.86.1 to 15.81.87.25415.81.87.255510
17315.81.88.0/2315.81.88.1 to 15.81.89.25415.81.89.255510
17415.81.90.0/2315.81.90.1 to 15.81.91.25415.81.91.255510
17515.81.92.0/2315.81.92.1 to 15.81.93.25415.81.93.255510
17615.81.94.0/2315.81.94.1 to 15.81.95.25415.81.95.255510
17715.81.96.0/2315.81.96.1 to 15.81.97.25415.81.97.255510
17815.81.98.0/2315.81.98.1 to 15.81.99.25415.81.99.255510
17915.81.100.0/2315.81.100.1 to 15.81.101.25415.81.101.255510
18015.81.102.0/2315.81.102.1 to 15.81.103.25415.81.103.255510
18115.81.104.0/2315.81.104.1 to 15.81.105.25415.81.105.255510
18215.81.106.0/2315.81.106.1 to 15.81.107.25415.81.107.255510
18315.81.108.0/2315.81.108.1 to 15.81.109.25415.81.109.255510
18415.81.110.0/2315.81.110.1 to 15.81.111.25415.81.111.255510
18515.81.112.0/2315.81.112.1 to 15.81.113.25415.81.113.255510
18615.81.114.0/2315.81.114.1 to 15.81.115.25415.81.115.255510
18715.81.116.0/2315.81.116.1 to 15.81.117.25415.81.117.255510
18815.81.118.0/2315.81.118.1 to 15.81.119.25415.81.119.255510
18915.81.120.0/2315.81.120.1 to 15.81.121.25415.81.121.255510
19015.81.122.0/2315.81.122.1 to 15.81.123.25415.81.123.255510
19115.81.124.0/2315.81.124.1 to 15.81.125.25415.81.125.255510
19215.81.126.0/2315.81.126.1 to 15.81.127.25415.81.127.255510
19315.81.128.0/2315.81.128.1 to 15.81.129.25415.81.129.255510
19415.81.130.0/2315.81.130.1 to 15.81.131.25415.81.131.255510
19515.81.132.0/2315.81.132.1 to 15.81.133.25415.81.133.255510
19615.81.134.0/2315.81.134.1 to 15.81.135.25415.81.135.255510
19715.81.136.0/2315.81.136.1 to 15.81.137.25415.81.137.255510
19815.81.138.0/2315.81.138.1 to 15.81.139.25415.81.139.255510
19915.81.140.0/2315.81.140.1 to 15.81.141.25415.81.141.255510
20015.81.142.0/2315.81.142.1 to 15.81.143.25415.81.143.255510
20115.81.144.0/2315.81.144.1 to 15.81.145.25415.81.145.255510
20215.81.146.0/2315.81.146.1 to 15.81.147.25415.81.147.255510
20315.81.148.0/2315.81.148.1 to 15.81.149.25415.81.149.255510
20415.81.150.0/2315.81.150.1 to 15.81.151.25415.81.151.255510
20515.81.152.0/2315.81.152.1 to 15.81.153.25415.81.153.255510
20615.81.154.0/2315.81.154.1 to 15.81.155.25415.81.155.255510
20715.81.156.0/2315.81.156.1 to 15.81.157.25415.81.157.255510
20815.81.158.0/2315.81.158.1 to 15.81.159.25415.81.159.255510
20915.81.160.0/2315.81.160.1 to 15.81.161.25415.81.161.255510
21015.81.162.0/2315.81.162.1 to 15.81.163.25415.81.163.255510
21115.81.164.0/2315.81.164.1 to 15.81.165.25415.81.165.255510
21215.81.166.0/2315.81.166.1 to 15.81.167.25415.81.167.255510
21315.81.168.0/2315.81.168.1 to 15.81.169.25415.81.169.255510
21415.81.170.0/2315.81.170.1 to 15.81.171.25415.81.171.255510
21515.81.172.0/2315.81.172.1 to 15.81.173.25415.81.173.255510
21615.81.174.0/2315.81.174.1 to 15.81.175.25415.81.175.255510
21715.81.176.0/2315.81.176.1 to 15.81.177.25415.81.177.255510
21815.81.178.0/2315.81.178.1 to 15.81.179.25415.81.179.255510
21915.81.180.0/2315.81.180.1 to 15.81.181.25415.81.181.255510
22015.81.182.0/2315.81.182.1 to 15.81.183.25415.81.183.255510
22115.81.184.0/2315.81.184.1 to 15.81.185.25415.81.185.255510
22215.81.186.0/2315.81.186.1 to 15.81.187.25415.81.187.255510
22315.81.188.0/2315.81.188.1 to 15.81.189.25415.81.189.255510
22415.81.190.0/2315.81.190.1 to 15.81.191.25415.81.191.255510
22515.81.192.0/2315.81.192.1 to 15.81.193.25415.81.193.255510
22615.81.194.0/2315.81.194.1 to 15.81.195.25415.81.195.255510
22715.81.196.0/2315.81.196.1 to 15.81.197.25415.81.197.255510
22815.81.198.0/2315.81.198.1 to 15.81.199.25415.81.199.255510
22915.81.200.0/2315.81.200.1 to 15.81.201.25415.81.201.255510
23015.81.202.0/2315.81.202.1 to 15.81.203.25415.81.203.255510
23115.81.204.0/2315.81.204.1 to 15.81.205.25415.81.205.255510
23215.81.206.0/2315.81.206.1 to 15.81.207.25415.81.207.255510
23315.81.208.0/2315.81.208.1 to 15.81.209.25415.81.209.255510
23415.81.210.0/2315.81.210.1 to 15.81.211.25415.81.211.255510
23515.81.212.0/2315.81.212.1 to 15.81.213.25415.81.213.255510
23615.81.214.0/2315.81.214.1 to 15.81.215.25415.81.215.255510
23715.81.216.0/2315.81.216.1 to 15.81.217.25415.81.217.255510
23815.81.218.0/2315.81.218.1 to 15.81.219.25415.81.219.255510
23915.81.220.0/2315.81.220.1 to 15.81.221.25415.81.221.255510
24015.81.222.0/2315.81.222.1 to 15.81.223.25415.81.223.255510
24115.81.224.0/2315.81.224.1 to 15.81.225.25415.81.225.255510
24215.81.226.0/2315.81.226.1 to 15.81.227.25415.81.227.255510
24315.81.228.0/2315.81.228.1 to 15.81.229.25415.81.229.255510
24415.81.230.0/2315.81.230.1 to 15.81.231.25415.81.231.255510
24515.81.232.0/2315.81.232.1 to 15.81.233.25415.81.233.255510
24615.81.234.0/2315.81.234.1 to 15.81.235.25415.81.235.255510
24715.81.236.0/2315.81.236.1 to 15.81.237.25415.81.237.255510
24815.81.238.0/2315.81.238.1 to 15.81.239.25415.81.239.255510
24915.81.240.0/2315.81.240.1 to 15.81.241.25415.81.241.255510
25015.81.242.0/2315.81.242.1 to 15.81.243.25415.81.243.255510
25115.81.244.0/2315.81.244.1 to 15.81.245.25415.81.245.255510
25215.81.246.0/2315.81.246.1 to 15.81.247.25415.81.247.255510
25315.81.248.0/2315.81.248.1 to 15.81.249.25415.81.249.255510
25415.81.250.0/2315.81.250.1 to 15.81.251.25415.81.251.255510
25515.81.252.0/2315.81.252.1 to 15.81.253.25415.81.253.255510
25615.81.254.0/2315.81.254.1 to 15.81.255.25415.81.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses